<template>
  <div>
    <v-row>
      <v-col cols="4">
        <v-card>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">
                Sale Of the Day
              </v-list-item-title>
              <h1 class="mb-2">
                $ 100,695<span class="text-green ml-3">+ 35,55%</span>
              </h1>
            </v-list-item-content>

            <v-list-item-avatar tile size="100">
              <apexchart
                type="line"
                height="100"
                width="100"
                :options="chartOptions"
                :series="series"
              ></apexchart>
            </v-list-item-avatar>
          </v-list-item>
        </v-card>
      </v-col>
      <v-col cols="4">
        <v-card>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-0">
                Sale Of the Years
              </v-list-item-title>
              <h1 class="mb-2">
                $ 10,695<span class="text-red ml-3">+ 35,55%</span>
              </h1>
            </v-list-item-content>

            <v-list-item-avatar tile size="100">
              <apexchart
                type="line"
                height="100"
                width="100"
                :options="chartOptions2"
                :series="series2"
              ></apexchart>
            </v-list-item-avatar>
          </v-list-item>
        </v-card>
      </v-col>
      <v-col cols="4">
        <v-card>
          <v-list-item three-line>
            <v-list-item-content>
              <v-list-item-title class="headline mb-1">
                Total Profit
              </v-list-item-title>
              <h1 class="mb-2">
                $ 95,695<span class="text-green ml-3">+ 35,55%</span>
              </h1>
            </v-list-item-content>
            <v-list-item-avatar tile size="100">
              <apexchart
                type="bar"
                height="100"
                width="100"
                :options="chartOptions"
                :series="series"
              ></apexchart>
            </v-list-item-avatar>
          </v-list-item>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>
<script>
import VueApexCharts from "vue-apexcharts";
export default {
  data() {
    return {
      series: [
        {
          name: "sale",
          data: [10, 41, 35, 51, 49, 62, 69]
        }
      ],
      series2: [
        {
          name: "sale",
          data: [80, 45, 10, 15, 55, 11, 5]
        }
      ],
      chartOptions: {
        chart: {
          toolbar: {
            show: false
          },
          width: "100%",
          type: "line",
          zoom: {
            enabled: false
          }
        },
        dataLabels: {
          enabled: false
        },
        stroke: {
          curve: "straight"
        },
        grid: {
          show: false
        },
        tooltip: {
          enabled: false
        },
        xaxis: {
          labels: {
            show: false
          },
          axisBorder: {
            show: false
          }
        },
        yaxis: {
          show: false,
          showAlways: false
        }
      },
      chartOptions2: {
        chart: {
          toolbar: {
            show: false
          },
          width: "100%",
          type: "line",
          zoom: {
            enabled: false
          }
        },
        colors: ["#ff0000"],
        dataLabels: {
          enabled: false
        },
        stroke: {
          curve: "straight"
        },
        grid: {
          show: false
        },
        tooltip: {
          enabled: false
        },
        xaxis: {
          labels: {
            show: false
          },
          axisBorder: {
            show: false
          }
        },
        yaxis: {
          show: false,
          showAlways: false
        }
      }
    };
  },
  components: {
    apexchart: VueApexCharts
  }
};
</script>
